<template>
    <v-card>
        <v-card-title class="headline">{{ title }}</v-card-title>

        <v-card-text>{{ message }}</v-card-text>

        <v-card-actions>
            <v-btn color="cancel" class="ma-2" @click="cancel(modalName)">{{ cancelText }}</v-btn>
            <v-spacer></v-spacer>
            <v-btn color="primary" class="ma-2" @click="confirm(modalName, currentService)">{{ confirmText }}</v-btn>
        </v-card-actions>
    </v-card>
</template>

<script>
    export default {
        name: "ConfirmModal",
        data () {
            return {
            
            };
        },
        props: [
            "title",
            "message",
            "confirmText",
            "cancelText",
            "modalName",
            "currentService",
        ],
        methods: {
            /**
             * Cancel the confirmation of an action
             * @param {String} modalName name of the current modal window
             * @param {Object} currentService current service on which to do an action
             */
            cancel (modalName, currentService) {
                this.$emit("confirm", false, modalName, currentService);
            },

            /**
             * Confirm the execution of an action
             * @param {String} modalName name of the current modal window
             * @param {Object} currentService current service on which to do an action
             */
            confirm (modalName, currentService) {
                this.$emit("confirm", true, modalName, currentService);
            },
        },
    };
</script>